{
  "$schema": "https://raw.githubusercontent.com/nicegram/nicegram-ios/refs/heads/nicegram/Tauri/tooling/cli/schema.json",
  "productName": "Jellyfin",
  "version": "0.1.0",
  "identifier": "com.jellyfin.desktop",
  "build": {
    "beforeDevCommand": "npm run dev",
    "devUrl": "http://localhost:5173",
    "beforeBuildCommand": "npm run build",
    "frontendDist": "../dist"
  },
  "app": {
    "windows": [
      {
        "title": "Jellyfin",
        "width": 1280,
        "height": 720,
        "minWidth": 800,
        "minHeight": 500,
        "center": true,
        "decorations": false,
        "resizable": true,
        "transparent": false,
        "additionalBrowserArgs": "--autoplay-policy=no-user-gesture-required --disable-features=AutoplayIgnoreWebAudio,BlockInsecurePrivateNetworkRequests --allow-running-insecure-content"
      }
    ],
    "security": {
      "csp": "default-src 'self' tauri: asset: https://tauri.localhost; connect-src * data: blob:; img-src * data: blob:; media-src * data: blob:; frame-src 'self' https://www.youtube-nocookie.com https://www.youtube.com; child-src 'self' blob: https://www.youtube-nocookie.com https://www.youtube.com; script-src 'self' tauri: asset: https://tauri.localhost 'unsafe-inline'; style-src 'self' tauri: asset: https://tauri.localhost https://fonts.bunny.net 'unsafe-inline'; font-src 'self' https://fonts.bunny.net data:; worker-src 'self' blob:; object-src 'none'; base-uri 'self'; form-action 'none'; frame-ancestors 'none';"
    }
  },
  "bundle": {
    "active": false,
    "targets": "all",
    "icon": [
      "icons/32x32.png",
      "icons/128x128.png",
      "icons/128x128@2x.png",
      "icons/icon.icns",
      "icons/icon.ico"
    ],
    "windows": {
      "webviewInstallMode": {
        "type": "downloadBootstrapper"
      }
    }
  },
  "plugins": {}
}
